diff -Naur Doomsday Data Files.old/ai/usa_1941.ai Doomsday Data Files/ai/usa_1941.ai
--- Doomsday Data Files.old/ai/usa_1941.ai	2008-12-01 19:17:15.000000000 +0100
+++ Doomsday Data Files/ai/usa_1941.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,32 +1,33 @@
-# USA 1944 AI File by Lothos
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
 switch = no # [yes/no]
-max_front_ratio = 1.2 
-max_garrison_prop = 0.15
-min_garrison_prop = 0.10
+max_front_ratio = 1.1 
+max_garrison_prop = 0.75
+min_garrison_prop = 0.50
 neutrality = 80.000 
 war = 0
-strat_redeploy_threshold = 50
-max_redeploying = 0.10
-exp_force_ratio = 0.03
-exp_force_ratios = {
-	ENG = 1.0
-} 
-no_exp_forces_to = { }
+reinforcement = 0.10
+upgrading = 0.30
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.05
+use_offensive_supply = yes
+max_fuel_offensive = 1000
 evac_islands = no
 
 ###################################
 # Diplomacy
 ###################################
-combat = { }
+claim_acceptance = -49
 
-# Special resistance against "influence" by the listed nations. Value range = [0 - 10]  
 resistance = {  
 	GER = 8 
 	JAP = 8
 	SOV = 4
 	ITA = 3
 }
+
 befriend = {
 	ENG = 50
 	BEL = 70
@@ -41,8 +42,8 @@
 	POR = 20
 	CHI = 20
 }
+
 protect = {
-	# SOUTH AMERICA
 	ARG = 300 # Argentina
 	BOL = 300 # Bolivia
 	BRA = 300 # Brazil
@@ -55,8 +56,6 @@
 	PRU = 300 # Peru
 	URU = 300 # Uruguay
 	VEN = 300 # Venezuela
-
-	# CENTRAL AMERICA
 	COS = 300 # Costa Rica
 	CUB = 300 # Cuba
 	DOM = 300 # Dominican Republic
@@ -66,23 +65,9 @@
 	MEX = 300 # Mexico
 	PAN = 300 # Panama
 	SAL = 300 # El Salvador
-
-	# NORTH AMERICA
-	CAL = 300 # California
-	CSA = 300 # Confederated States
-	QUE = 300 # Quebec
-	TEX = 300 # Texas
 }
-target = {
-	#Japan 
-	1184 = 100 # Tokyo
-	
-	#Germany
-	300 = 100 # Berlin
-} 
-trade = {
-	cancel_deal_threshold = 2
 
+trade = {
 	energy 		= -1
 	rare_materials 	= -1
 	metal 		= -1
@@ -107,492 +92,200 @@
 		POR = 10
 		CHI = 10
 	}
-	embargo = { JAP MAN }
-}
-tech_sharing = {
-	favored = {
-		FRA = 100
-		CAN = 100
-		AST = 100
-		NZL = 100
-		ENG = 100
-		BEL = 90
-		HOL = 90
-		SPR = 30
-		POL = 20 
-		CZE = 20
-		TUR = 10
-		IRQ = 100
-		PER = 100
-		POR = 10
-		CHI = 10
-	}
-	embargo = { JAP MAN }
-	not = { }
-	prioritized = {
-		# Arcriculture
-		5020 = 100
-		5030 = 100
-		5040 = 100
-
-		# Inf support
-		1310 = 100
-		1320 = 100
-		1330 = 100
-		1340 = 100
-		1350 = 100
-		1360 = 100
-
-		# Production
-		5050 = 100
-		5060 = 100
-		5070 = 100
-		5080 = 100
-		5090 = 100
-		5100 = 100
-		5110 = 100
-		5120 = 100
-		5130 = 100
-		5150 = 100
-		5180 = 100
-
-		# Motorized
-		1230 = 100
-		1240 = 100
-		1250 = 100
-
-		# Mechanized
-		1260 = 100
-		1270 = 100
-		1280 = 100
-		1290 = 100
-
-		# Medium tanks
-		2070 = 100
-		2080 = 100
-		2090 = 100
-
-		# Light tanks
-		2020 = 100
-		2030 = 100
-		2040 = 100
-		2050 = 100
-		2060 = 100
-
-		# Marines
-		1150 = 100
-		1160 = 100
-		1170 = 100
-		1180 = 100
-
-		# Vehicle Assembly
-		5130 = 100
-		5140 = 100
-		5150 = 100
-		5160 = 100
-		5180 = 100
-
-		# Strategic bombers
-		4220 = 100
-		4230 = 100
-		4240 = 100
-
-		# Escort/Multirole Fighters
-		4040 = 100
-		4050 = 100
-		4070 = 100
-		4080 = 100
-		4100 = 100
-		4110 = 100
-
-		# Naval Bomber
-		4190 = 100
-		4200 = 100
-		4210 = 100
-
-		# Tactical Bomber
-		4140 = 100
-		4150 = 100
-		4160 = 100
-	}
-}
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 5
-		counter_espionage =  10
-		country = USA
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
-	}
-	spyprefsdata = {
-		country_priorities	= 9
-		NumberOfSpies		= 9
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 1
-		coup 				= 1
-		sabotage_industry 	= 4
-		nuclear_sabotage 	= 0
-		found_partisans		= 2
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= GER
-	}
-	spyprefsdata = {
-		country_priorities	= 10
-		NumberOfSpies		= 7
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 1
-		coup 				= 1
-		sabotage_industry 	= 4
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= JAP
-	}
-	spyprefsdata = {
-		country_priorities	= 9
-		NumberOfSpies		= 7
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 1
-		coup 				= 1
-		sabotage_industry 	= 4
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= SOV
-	}
-	spyprefsdata = {
-		country_priorities	= 6
-		NumberOfSpies		= 4
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 1
-		coup 				= 1
-		sabotage_industry 	= 4
-		nuclear_sabotage 	= 0
-		found_partisans		= 1
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= ITA
-	}
-	spyprefsdata = {
-		country_priorities	= 4
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 1
-		coup 				= 1
-		sabotage_industry 	= 4
-		nuclear_sabotage 	= 0
-		found_partisans		= 1
-		massmedia 			= 1
-		counter_espionage 	= 5
-		disrupt_techteam 	= 5
-		country 			= SPA
-	}
+	embargo = { }
 }
+
 ###################################
 # Construction and Tech Research
 ###################################
-#Default values
 construction = { 
-	max_factor = 0.10 
+	max_factor = 0.250
 
-	AA_batteries = yes
-	max_AA_level = 5
-	AA_provs = {
-		658  # Hawaii
-		662  # Midway
-		1756 # Samoa
-		765 # San Francisco
-		762 # Los Angeles
-		761 # San Diego
-		780 # Seattle
-		600 # Boston
-		602 # New York
-		606 # Washington DC
-		651 # Miami
-	} 
+	AA_batteries = no
+	max_AA_level = 0
+	AA_provs = { } 
 
 	coastal_fort = no
-	max_coastal_level = 3
+	max_coastal_level = 0
 	coastal_fort_provs = { } 
 
-	radar_station = yes
-	max_radar = 5 
-	radar_provs = {
-		658  # Hawaii
-		662  # Midway
-		1756 # Samoa
-		765 # San Francisco
-		761 # San Diego
-		780 # Seattle
-		549 # Anchorage
-		600 # Boston
-		602 # New York
-		606 # Washington DC
-		651 # Miami
-	} 
-
-	air_base = yes
-	max_air_base = 4
-	air_base_provs = {
-		658  # Hawaii
-		662  # Midway
-		1766 # Johnson Island
-		1762 # Phoenix Island
-		1756 # Samoa
-	} 
-
-	naval_base = yes
-	max_naval_base = 10 
-	naval_base_provs = {
-		1756 # Samoa
-	} 
+	radar_station = no
+	max_radar = 0
+	radar_provs = { } 
+
+	air_base = no
+	max_air_base = 0
+	air_base_provs = { } 
+
+	naval_base = no
+	max_naval_base = 0
+	naval_base_provs = { } 
 
 	land_fort = no
-	max_land_level = 10
+	max_land_level = 0
 	fort_borders = { } 
 
-	ic_at_war = yes
-	force_ic_until = 1940
-	ic_end_year = 1948
+	ic_at_war = no
+	force_ic_until = 1935
+	ic_end_year = 1935
 	IC_provs = { } 
 }
+
 military = { 
-	relative_build_scheme 	= no
-	max_batch_peace 	= 360 
-	max_batch_war 		= 180 
-	max_batch_home_front 	= 180
+	relative_build_scheme 	= yes
+	max_batch_peace 	= 270
+	max_batch_war 		= 270
+	max_batch_home_front 	= 270
 
 	#### Divisions etc...
-	infantry 		= 6
-	cavalry 		= 0
-	motorized 		= 6
-	mechanized 		= 6
+	infantry 	= 9
+	cavalry 	= 0
+	motorized 	= 7
+	mechanized 	= 0
 	light_armor 	= 0
-	armor 			= 5
-	paratrooper 	= 1
-	marine 			= 3
-	bergsjaeger 	= 0
-	garrison		= 0
-    hq 				= 3
-	militia 		= 0
-#				30 %
-	interceptor 	= 4
-	multi_role 		= 2
-	cas 			= 0
-	strategic_bomber = 3
-	tactical_bomber = 3
-	naval_bomber 	= 4
-	transport_plane = 1
+	armor 		= 7
+	paratrooper 	= 0
+	marine 		= 6
+	bergsjaeger 	= 4
+	garrison	= 0
+      	hq 		= 4
+	militia 	= 0
+#				37 %
+	interceptor 	= 0
+	multi_role 	= 7
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 4
+	naval_bomber 	= 2
+	transport_plane = 0
 	flying_bomb 	= 0
 	flying_rocket 	= 0
-#				17 %
-	battleship 		= 3
-	carrier 		= 7
+#				13 %
+	battleship 	= 4
+	carrier 	= 6
 	escort_carrier	= 2
-	destroyer 		= 15
-	light_cruiser 	= 7
-	heavy_cruiser 	= 4
+	destroyer 	= 9
+	light_cruiser 	= 8
+	heavy_cruiser 	= 3
 	battlecruiser 	= 0
-	submarine 		= 5
-	nuclear_submarine = 0
-	transports 		= 10
-#				53 %
+	submarine 	= 5
+	transports 	= 13
+#				50 %
 
 	#### Brigades
-	artillery 			= 15
-	sp_artillery 		= 9
-	rocket_artillery	= 0 
+	artillery 		= 10
+	sp_artillery 		= 20
+	rocket_artillery	= 0
 	sp_rct_artillery 	= 0
-	anti_tank 			= 8
-	tank_destroyer 		= 8
-	light_armor_brigade = 6
-	heavy_armor 		= 5
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 10
 	super_heavy_armor 	= 0
-	armored_car 		= 5
-	anti_air 			= 7
-	police 				= 2
-	engineer 			= 6 
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 10
 
 	cag = 100.000 
 }
 
-technology = { 
-	endgoal 	= { } 
+technology = {
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2220 2230 2240 2250 11030 11040 # SP Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3070 3080 3090 3100 3110 3120 12010 # Light Cruisers
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		5470 5480 5490 5500 5510 5520 5530 5540 7170 7180 7190 16010 16020 # Nuclear Techs
+		5550 5560 5570 15500 # Rocket Engines
+		8110 8140 8180 8230 8240 8250 8270 8320 8350 18000 # Carrier Doctrines
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+	} 
 	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5140 5150 5160 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
-		#Infantry
-		1010 1020 1030 1040 1050 1060
-
-		# Inf support
-		1310 1320 1330 1340 1350 1360
-
-		# Motorized
-		1230 1240 1250
-
-		# Mechanized
-		1260 1270 1280 1290
-
-		# Medium tanks
-		2070 2080 2090
-
-		# Light tanks
-		2020 2030 2040 2050 2060
-
-		# Marines
-		1150 1160 1170 1180
-
-		# Vehicle Assembly
-		5130 5140 5150 5160 5180
-
-		# Strategic bombers
-		4220 4230 4240
-
-		# Escort/Multirole Fighters
-		4040 4050 4070 4080 4100 4110
-
-		# Naval Bomber
-		4190 4200 4210
-
-		# Tactical Bomber
-		4140 4150 4160
-
-		# Carrier
-		3320 3330 3340 3350 3360 3370 3380 3390
-
-		# Light Carrier
-		12100 12110 12120 12130 12140 12150
-
-		# Naval Doctrines
-		8140 8250 8230 8320
-
-		# Air Doctrines
-		9040 9050 9060 9070 9080 9090 9100 9110 9120 9130 9190 9210 9220 9230 9240 9250 9350
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2220 2230 2240 2250 11030 11040 # SP Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3070 3080 3090 3100 3110 3120 12010 # Light Cruisers
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		5470 5480 5490 5500 5510 5520 5530 5540 7170 7180 7190 16010 16020 # Nuclear Techs
+		5550 5560 5570 15500 # Rocket Engines
+		8110 8140 8180 8230 8240 8250 8270 8320 8350 18000 # Carrier Doctrines
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
 	} 
 	ignore 		= {
-		# Battle Cruiser
-		3190 3200 3210 3220 3230 3240
-
-		# Mountain Unit techs
-		1110 1120 1130 1140
-
-		# CAS
-		4170 4280 4180
-
-		# Super Heavy BB
-		3310
-
-		# Air Transports 4260 4270
-		4250
-
-		# SP Rocket Artillery
-		2260 2270 2280 
-
-		# Rocket Artillery
-		2370 2380 2390
-		
-		# Armoured Cars
-		2150 2160
+		2150 2160 # Armoured Cars
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2260 2270 2280 11050 11060 # SP Rocket Artillery
+		2370 2380 2390 # Rocket Artillery
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		3190 3200 3210 3220 3230 3240 12030 # Battlecruisers
+		4170 4280 4180 15120 15130 # CAS
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		5170 # Rocket Assembly Line
+		5580 5590 # Flying Bomb / Flying Rocket
+		6090 # Combined Arms Defense
+		9050 9060 9070 9080 9270 9280 9290 9300 # CAS Doctrines
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+	}
+
+	armor 		= 6
+	infantry 	= 7
+	industry 	= 9
+	aircraft 	= 7
+	naval 		= 8
+	land_doctrines 	= 6
+	secret_weapons 	= 4
+	air_doctrines 	= 6
+	naval_doctrines = 7
+}
 
-		# CAS Air Doctrines 9040
-		9050 9060 9070 9080 9270 9280 9290 9300
-	}
- 
-	armor 		= 3 
-	infantry 	= 3
-	industry 	= 4
-	aircraft 	= 3
-	naval 		= 3
-	land_doctrines 	= 2
-	secret_weapons 	= 2
-	air_doctrines 	= 2
-	naval_doctrines = 2
-}  ###################################
+###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
 	defend_overseas_beaches = yes
-	home_multiplier 	= 0.3
-	overseas_multiplier 	= 0.4
-	home_peace_cap 		= 20
+	home_multiplier 	= 2.0
+	overseas_multiplier 	= 1.5
+	home_peace_cap 		= 101
 	war_zone_odds 		= 2.0
-	key_point_prio_mult	= 0.3
+	key_point_prio_mult	= 1.0
 	revolt_risk_mult	= 0.3
 
 	# PRIORITIES:
-	beach			= 30	# Beach level 2
-	capital			= 20	# Our capital
-	human_border		= 0	# Ignored for allied human players
+	beach			= 60	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 50	# Ignored for allied human players
 	war_target		= 50	# The next country targeted for attack by this AI
 	
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
@@ -603,67 +296,21 @@
 	country_priorities = {
 		CAN = -1
 		MEX = -1
-		SPA = -1
-		SCH = -1
-		GER = 100
-		JAP = 60
-		ITA = 60
 	}
 	ignore = {
-		#Libya
-		918   #Forte Maddalens
-		926   #Al Jaghbun
-		927   #Aujila
-		1017  #Calanslo
-		1018  #Kufra
-		1016  #Murzuk
-		1015  #Ghat
-		931   #Ghadames
-		928   #Sorno
-		
-		#Egypt/East Africa
-		1020  #Siwa
-		1019  #Great Sand Sea
-		907   #Qattara
-		1021  #AinDalla
-		1022  #Western Desert
-		1067  #El Atiun
-		1068  #El Obeid
-		1069  #Waw
-		1065  #Malakal
-		1032  #Omdurman
-		1041  #Gallabal
-		1040  #Kassala
-		1059  #Marsabit
-
-		#Ethiopia
-		1039  #Asmara
-		1048  #Adwa
-		1042  #Gonder
-		1044  #Debre
-		1045  #Gambela
-		1047  #Jima
-		1053  #Moyale
-		1049  #Denakil
-		1043  #Dese
-		1050  #Diredawa
-		1054  #Ogaden
-		1055  #Bardera
-
-		#Belgian Congo
-		1071  #Stanleyville
-		1072  #Buta
-		1073  #Costermanville
-		1074  #Coquihatville
-		1144  #Abertville
-		1143  #Kindu-Port-Empain
-		1142  #Leopoldville
 	}
-	province_priorities = {	}
-	area_multiplier = { }
+	province_priorities = {
+	}
+	area_multiplier = {
+		663 = 3.0 # Pearl Harbour
+		662 = 2.5 # Midway
+		1624 = 2.5 # Guam
+		1786 = 2.5 # Wake
+	}
 }
+
 front = { 
-	recklessness 		= 0 # 0-3
+	recklessness 		= 1 # 0-3
 	distrib_vs_ai 		= even
 	distrib_vs_human 	= even
 
